@REM ========================================
@REM Setup Rose 2003 CORBA Hotfix
@REM ========================================


@set CORBA_INSTALLDIR="C:\Program Files\Rational\Rose"
@set ERROR_LOG=C:\temp\CORBA_HOTFIX_ERRORLOG.log

@cls

@echo.
@echo ========================================
@echo Rose 2003 COBRA Hotfix (1)
@echo.
@echo Product:  Rose Professional C++
@echo.
@echo Installs and Registers 
@echo Rose 2003 CORBA Add-In
@echo.
@echo %ERROR_LOG% 
@echo will include a listing
@echo of any errors encountered while
@echo installing this Hot Fix.
@echo.
@echo Contact Rational Technical Support if
@echo you encounter any Installation Errors.
@echo ========================================
@echo.

@pause

@echo.
@echo Installing Rose 2003 CORBA Hotfix(1)...
@MCK_HotFix1_ROSE_PROF_CORBA_Addin_06.18.2003.exe 2>>%ERROR_LOG%
@echo.


@echo.
@echo Registering corba.reg...
@corba.reg 2>>%ERROR_LOG%

@echo.
@echo Registering CORBA Add-In...
@regsvr32 %CORBA_INSTALLDIR%\CORBA\corba_addin.dll 2>>%ERROR_LOG%
@goto Success
@echo.
	

:Error
@echo.
@echo Error setting up CORBA Hot Fix
@echo See %ERROR_LOG% for details
@echo.
@goto done

:Success
@echo.
@echo ========================================
@echo Rose 2003 COBRA Add-In (Hot Fix 1)
@echo     Successfully Installed
@echo ========================================
@echo.
@pause

:done

